Skip to main content
GET
/
v3
/
me
/
business-users
List authenticated user's business-user memberships
curl --request GET \
  --url https://api.scalev.com/v3/me/business-users \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "business": {
        "id": 123,
        "account_holder": "<string>",
        "username": "<string>",
        "unique_id": "<string>",
        "logo": "<string>"
      },
      "user_id": 123,
      "business_phone": "<string>",
      "is_verified": true,
      "is_locked": true,
      "role": {
        "name": "<string>",
        "store_filter_type": "<string>",
        "permissions_list": [
          "<string>"
        ]
      },
      "metadata": {}
    }
  ],
  "is_paginated": true,
  "has_next": true,
  "has_previous": true,
  "next_cursor": "<string>",
  "previous_cursor": "<string>",
  "page_size": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_size
integer

Cursor page size.

Required range: x >= 1
next_cursor
string

Opaque cursor for the next page.

previous_cursor
string

Opaque cursor for the previous page.

sort_direction
enum<string>
default:desc

Optional sort direction for endpoints that explicitly document support for directional sorting. Cursor requests must keep the same sort_direction used to create the cursor.

Available options:
asc,
desc

Filter memberships by business username or account holder.

business_name
string

Filter memberships by business account holder.

Response

Paginated business-user membership list

data
object[]
required
is_paginated
enum<boolean>
required
Available options:
true
has_next
boolean
has_previous
boolean
next_cursor
string | null
previous_cursor
string | null
page_size
integer